<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/bg_edf1f4_tlr15">

    <View
        android:id="@+id/v"
        android:layout_width="80dp"
        android:layout_height="6dp"
        android:layout_marginTop="12dp"
        android:background="@drawable/bg_c2c8d4_3"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:layout_marginTop="28dp"
        android:text="Download or not？"
        android:textColor="@color/black"
        android:textSize="16sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v"
        tools:ignore="HardcodedText" />

    <androidx.cardview.widget.CardView
        android:id="@+id/card"
        android:layout_width="match_parent"
        android:layout_height="85dp"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="16dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="10dp"
        app:layout_constraintTop_toBottomOf="@id/tv_tip">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <androidx.cardview.widget.CardView
                android:layout_width="64dp"
                android:layout_height="64dp"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="10dp"
                app:cardCornerRadius="5dp"
                app:cardElevation="0dp">

                <ImageView
                    android:id="@+id/iv"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    tools:ignore="ContentDescription" />

                <de.hdodenhof.circleimageview.CircleImageView
                    android:layout_width="27dp"
                    android:layout_height="27dp"
                    android:layout_gravity="center"
                    android:src="@mipmap/t_videoicon" />

            </androidx.cardview.widget.CardView>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="10dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <EditText
                    android:id="@+id/edit_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:enabled="false"
                    android:imeOptions="actionDone"
                    android:singleLine="true"
                    android:textColor="@color/black"
                    android:textSize="18sp"
                    tools:ignore="Autofill,LabelFor,TextFields"
                    tools:text="1796-21.mp4" />

                <TextView
                    android:id="@+id/tv_size"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="6dp"
                    android:textColor="#6F6F70"
                    android:textSize="12sp"
                    tools:text="50.2 KB" />

            </LinearLayout>

            <FrameLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="10dp">

                <ImageView
                    android:id="@+id/iv_edit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/bianji"
                    tools:ignore="ContentDescription" />

            </FrameLayout>

        </LinearLayout>


    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="15dp"
        android:layout_marginBottom="25dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/card">

        <TextView
            android:id="@+id/tv_cancel"
            android:layout_width="166dp"
            android:layout_height="50dp"
            android:background="@drawable/bg_e1e4e9_25"
            android:gravity="center"
            android:text="Cancel"
            android:textColor="@color/black"
            android:textSize="18sp"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tv_confirm"
            android:layout_width="166dp"
            android:layout_height="50dp"
            android:layout_marginStart="10dp"
            android:background="@drawable/bg_0571ed_25"
            android:gravity="center"
            android:text="Confirm"
            android:textColor="@color/white"
            android:textSize="18sp"
            tools:ignore="HardcodedText" />

    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>